<template lang="pug">
  .top
    img.title(src='@/assets/title.svg' alt="みんなで作るフォトアルバム presented by Kohei naoko")
    img.hero(src='@/assets/top_hero.jpg')
    //- p.gojitu 後日、画像共有してくださる方は、<br><a href="https://photos.app.goo.gl/GJU2riR4VW6TEwk68">こちらのGoogle Photo</a>から<br>共有してくださるとありがたいです！
    my-button.btn(
      type="primary"
      @click="push('/post')"
    )
      img(src="@/assets/btn_text_open_post.svg" alt="写真を投稿する" height="16")
    my-button.btn(
      type="primary"
      @click="push('/album')"
    )
      img(src="@/assets/btn_text_album.svg" alt="フォトアルバムを見る" height="16")
    my-button.btn(
      type="secondry"
      @click="push('/about')"
      size="small"
    )
      img(src="@/assets/btn_text_about.svg" alt="このアルバムについて" height="16")
</template>
<script>
import router from '@/router/index'
import { mapActions, mapGetters } from 'vuex'
import MyButton from '@/components/atoms/Button'

export default {
  name: 'Top',
  components: {
    MyButton,
  },
  methods: {
    push(path){
      router.push(path)
    }
  }
}
</script>
<style lang="stylus">
.top
  width 90%
  max-width 420px
  margin 0 auto
  display: flex
  flex-flow: column nowrap
  justify-content: center
  align-items: center
  padding-top 40px
  padding-bottom 100px
  .title
    margin-bottom: $margin-l
  .hero
    width 100%
    margin-bottom  $margin-l
  .btn + .btn
    margin-top $margin-s
  .gojitu
    color #fff
    line-height 1.4
    margin-bottom 20px
    a
      text-decoration underline
      display inline-block
      color $c-primary
      padding 8px 4px


</style>
